Get cancellation request
curl --request GET \
--url https://api.pgw-sandbox.finventi.com/v1/cancellation-requests/{id}import requests
url = "https://api.pgw-sandbox.finventi.com/v1/cancellation-requests/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.pgw-sandbox.finventi.com/v1/cancellation-requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"direction": "OUTBOUND",
"id": 123,
"reason": "DUPL",
"sepaMessageId": "<string>",
"status": "CANCELLATION_CREATED",
"additionalComment": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"externalTransactionReferenceId": 123,
"rejectionAdditionalReason": "<string>",
"rejectionReason": "<string>",
"rejectionSepaMessageId": "<string>",
"returnTransactionId": 123,
"sepaCancellationId": "<string>",
"transactionId": 123
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}Payment Information
Get cancellation request
Retrieves details of a specific cancellation request.
GET
/
v1
/
cancellation-requests
/
{id}
Get cancellation request
Path Parameters
Cancellation request ID
Response
Returned cancellation request
Cancellation request transaction direction.
Available options:
OUTBOUND, INBOUND Cancellation request ID.
Cancellation request reason.
Available options:
DUPL, CUST, FRAD, TECH, AC03, AM09, AGNT, COVR, CURR, CUTA, DS24, FRNA, FRTR, INDM, SYAD, UPAY, NARR, AC01, AC04, AC06, AC13, AG01, AG02, AM01, AM04, AM05, CNOR, DNOR, MD01, MD02, MD07, MS02, MS03, RC01, RR01, RR02, RR03, RR04, SL01, BE05, FF01, DT01, ED05, PY01 Cancellation request sepa message ID.
Cancellation request status.
Available options:
CANCELLATION_CREATED, CANCELLATION_IN_PROGRESS, CANCELLATION_REFUSED, PAYMENT_RETURNED, PROCESSING_FAILED, REFUSING, RETURNING, CANCELLATION_COMPLETED, CANCELLATION_REJECTED, CANCELLATION_ACCEPTED Cancellation request additional comment.
Cancellation request creation date time (ISO-8601 format).
ID of the external transaction reference from cancellation request, if present.
Cancellation request rejection additional reason.
Cancellation request rejection reason.
Cancellation request rejection SEPA message ID.
Cancellation request return transaction ID.
Cancellation request original ID (cxlId).
Cancellation request transaction ID.
Last modified on September 26, 2025